OpenVDB 11.0.0

Loading...
Searching...
No Matches
PointAccessor< AttT, Point > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for PointAccessor< AttT, Point >:

## Public Types
using | BuildType
using | ValueType
using | CoordType

## Public Member Functions
| PointAccessor (const NanoGrid< Point > &grid)
| operator bool () const
| return true if this access was initialized correctly
const NanoGrid< Point > & | grid () const
uint64_t | gridPoints (const AttT *&begin, const AttT *&end) const
| Return the total number of point in the grid and set the iterators to the complete range of points.
uint64_t | leafPoints (const Coord &ijk, const AttT *&begin, const AttT *&end) const
| Return the number of points in the leaf node containing the coordinate ijk. If this return value is larger than zero then the iterators begin and end will point to all the attributes contained within that leaf node.
uint64_t | voxelPoints (const Coord &ijk, const AttT *&begin, const AttT *&end) const
| get iterators over attributes to points at a specific voxel location
const RootT & | root () const
const NodeT * | getNode () const
| Return a const point to the cached node of the specified type.
const NodeTrait< TreeT, LEVEL >::type * | getNode () const
void | clear ()
| Reset this access to its initial state, i.e. with an empty cache.
bool | isCached (const CoordType &ijk) const
ValueType | getValue (const CoordType &ijk) const
ValueType | getValue (int i, int j, int k) const
ValueType | operator() (const CoordType &ijk) const
ValueType | operator() (int i, int j, int k) const
auto | getNodeInfo (const CoordType &ijk) const
bool | isActive (const CoordType &ijk) const
bool | probeValue (const CoordType &ijk, ValueType &v) const
const LeafT * | probeLeaf (const CoordType &ijk) const
auto | get (const CoordType &ijk, ArgsT &&... args) const
auto | set (const CoordType &ijk, ArgsT &&... args) const
uint32_t | getDim (const CoordType &ijk, const RayT &ray) const

## Static Public Attributes
static const int | CacheLevels

## Member Typedef Documentation

## ◆ BuildType

using BuildType

## ◆ CoordType

using CoordType

## ◆ ValueType

using ValueType

## Constructor & Destructor Documentation

## ◆ PointAccessor()

template<typename AttT>

PointAccessor | ( | const NanoGrid< Point > & | grid | ) |
| inline

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

Reset this access to its initial state, i.e. with an empty cache.

## ◆ get()

auto get | ( | const CoordType & | ijk,
|  | ArgsT &&... | args ) const
| inline

## ◆ getDim()

uint32_t getDim | ( | const CoordType & | ijk,
|  | const RayT & | ray ) const
| inline

## ◆ getNode() [1/2]

const NodeT * getNode | ( |  | ) | const
| inline

Return a const point to the cached node of the specified type.

Warning
  The return value could be NULL.

## ◆ getNode() [2/2]

const NodeTrait< TreeT, LEVEL >::type * getNode | ( |  | ) | const
| inline

## ◆ getNodeInfo()

auto getNodeInfo | ( | const CoordType & | ijk | ) | const
| inline

## ◆ getValue() [1/2]

ValueType getValue | ( | const CoordType & | ijk | ) | const
| inline

## ◆ getValue() [2/2]

ValueType getValue | ( | int | i,
|  | int | j,
|  | int | k ) const
| inline

## ◆ grid()

template<typename AttT>

const NanoGrid< Point > & grid | ( |  | ) | const
| inline

## ◆ gridPoints()

template<typename AttT>

uint64_t gridPoints | ( | const AttT *& | begin,
|  | const AttT *& | end ) const
| inline

Return the total number of point in the grid and set the iterators to the complete range of points.

## ◆ isActive()

bool isActive | ( | const CoordType & | ijk | ) | const
| inline

## ◆ isCached()

bool isCached | ( | const CoordType & | ijk | ) | const
| inline

## ◆ leafPoints()

template<typename AttT>

uint64_t leafPoints | ( | const Coord & | ijk,
|  | const AttT *& | begin,
|  | const AttT *& | end ) const
| inline

Return the number of points in the leaf node containing the coordinate ijk. If this return value is larger than zero then the iterators begin and end will point to all the attributes contained within that leaf node.

## ◆ operator bool()

template<typename AttT>

operator bool | ( |  | ) | const
| inline

return true if this access was initialized correctly

## ◆ operator()() [1/2]

ValueType operator() | ( | const CoordType & | ijk | ) | const
| inline

## ◆ operator()() [2/2]

ValueType operator() | ( | int | i,
|  | int | j,
|  | int | k ) const
| inline

## ◆ probeLeaf()

const LeafT * probeLeaf | ( | const CoordType & | ijk | ) | const
| inline

## ◆ probeValue()

bool probeValue | ( | const CoordType & | ijk,
|  | ValueType & | v ) const
| inline

## ◆ root()

const RootT & root | ( |  | ) | const
| inline

## ◆ set()

auto set | ( | const CoordType & | ijk,
|  | ArgsT &&... | args ) const
| inline

## ◆ voxelPoints()

template<typename AttT>

uint64_t voxelPoints | ( | const Coord & | ijk,
|  | const AttT *& | begin,
|  | const AttT *& | end ) const
| inline

get iterators over attributes to points at a specific voxel location

## Member Data Documentation

## ◆ CacheLevels

const int CacheLevels
| static